package org.bench4q.monitor.service.linux;

import java.io.IOException;

import org.bench4q.monitor.model.ProcessModel;
import org.bench4q.monitor.performance.linux.ProcessMonitor;

public class ProcessServiceLinux {
	
	public ProcessServiceLinux(){
		this.processMonitor=new ProcessMonitor();
	}
	private ProcessMonitor processMonitor;

	public ProcessMonitor getProcessMonitor() {
		return processMonitor;
	}

	public void setProcessMonitor(ProcessMonitor processMonitor) {
		this.processMonitor = processMonitor;
	}
	public ProcessModel getProcessInfo(int idleTime) throws IOException, InterruptedException{
		return this.getProcessMonitor().getProcessInfo(idleTime);
	}
}
